LOCAL_PATH := $(call my-dir)

#################################################
include $(CLEAR_VARS)

LOCAL_MODULE:=libiconv_charset

LOCAL_SRC_FILES:= \
	./libcharset/lib/localcharset.c \
	./libcharset/lib/relocatable.c 

LOCAL_C_INCLUDES += \
	$(LOCAL_PATH)/ \
	$(LOCAL_PATH)/include \
	$(LOCAL_PATH)/libcharset \
	$(LOCAL_PATH)/libcharset/include \
	$(LOCAL_PATH)/libcharset/lib 

LOCAL_CFLAGS:= \
	-DHAVE_CONFIG_H \
	-DEXEEXT=\"\" \
	-DDEPENDS_ON_LIBICONV=1 \
	-DDEPENDS_ON_LIBINTL=1 \
	-DANDROID \
	-D_FORTIFY_SOURCE=2 \
	-DLIBDIR \
	-fmessage-length=0 \
	-W \
	-Wall \
	-Wno-unused \
	-Winit-self \
	-Wpointer-arith \
	-O2 \
	-Werror=format-security \
	-Wstrict-aliasing=2 \
	-ffunction-sections \
	-finline-functions \
	-finline-limit=300 \
	-fno-short-enums \
	-fstrict-aliasing \
	-funswitch-loops \
	-funwind-tables \
	-fstack-protector \
	-no-canonical-prefixes \
	-fno-canonical-system-headers
	#	-DANDROID \
	-fmessage-length=0 \
	-W \
	-Wall \
	-Wno-unused \
	-Winit-self \
	-Wpointer-arith \
	-O2 \
	-Werror=format-security \
	-D_FORTIFY_SOURCE=2 \
	-Wstrict-aliasing=2 \
	-ffunction-sections \
	-finline-functions \
	-finline-limit=300 \
	-fno-short-enums \
	-fstrict-aliasing \
	-funswitch-loops \
	-funwind-tables \
	-fstack-protector \
	-no-canonical-prefixes \
	-fno-canonical-system-headers \
	-fvisibility=hidden \
	-DLIBDIR \
	-DBUILDING_LIBCHARSET \
	-DBUILDING_DLL \
	-DENABLE_RELOCATABLE=1 \
	-DIN_LIBRARY \
	-DNO_XMALLOC \
	-DHAVE_CONFIG_H \
	-fPIC \
	-DPIC

include $(BUILD_STATIC_LIBRARY)

#################################################
include $(CLEAR_VARS)

LOCAL_MODULE:=libiconv_lib

LOCAL_SRC_FILES:= \
	./lib/iconv.c \
	./libcharset/lib/localcharset.c \
	./lib/relocatable.c 

LOCAL_C_INCLUDES += \
	$(LOCAL_PATH)/ \
	$(LOCAL_PATH)/include \
	$(LOCAL_PATH)/lib/ \
	$(LOCAL_PATH)/libcharset \
	$(LOCAL_PATH)/libcharset/include \
	$(LOCAL_PATH)/libcharset/lib 

LOCAL_CFLAGS:= \
	-DHAVE_CONFIG_H \
	-DEXEEXT=\"\" \
	-DDEPENDS_ON_LIBICONV=1 \
	-DDEPENDS_ON_LIBINTL=1 \
	-DLIBDIR \
	-DANDROID \
	-D_FORTIFY_SOURCE=2 \
	-fmessage-length=0 \
	-W \
	-Wall \
	-Wno-unused \
	-Winit-self \
	-Wpointer-arith \
	-O2 \
	-Werror=format-security \
	-Wstrict-aliasing=2 \
	-ffunction-sections \
	-finline-functions \
	-finline-limit=300 \
	-fno-short-enums \
	-fstrict-aliasing \
	-funswitch-loops \
	-funwind-tables \
	-fstack-protector \
	-no-canonical-prefixes \
	-fno-canonical-system-headers
#	-DANDROID \
	-fmessage-length=0 \
	-W \
	-Wall \
	-Wno-unused \
	-Winit-self \
	-Wpointer-arith \
	-O2 \
	-DLIBDIR \
	-Werror=format-security \
	-D_FORTIFY_SOURCE=2 \
	-Wstrict-aliasing=2 \
	-ffunction-sections \
	-finline-functions \
	-finline-limit=300 \
	-fno-short-enums \
	-fstrict-aliasing \
	-funswitch-loops \
	-funwind-tables \
	-fstack-protector \
	-no-canonical-prefixes \
	-fno-canonical-system-headers \
	--sysroot=/home/ebook/arm/sysroot \
	-fvisibility=hidden \
	-DBUILDING_LIBCHARSET \
	-DBUILDING_DLL \
	-DENABLE_RELOCATABLE=1 \
	-DIN_LIBRARY \
	-DNO_XMALLOC \
	-DHAVE_CONFIG_H \
	-fPIC \
	-DPIC

include $(BUILD_STATIC_LIBRARY)

#################################################
include $(CLEAR_VARS)

LOCAL_MODULE:=libiconv_srclib

LOCAL_SRC_FILES:= \
	./srclib/allocator.c \
	./srclib/areadlink.c \
	./srclib/binary-io.c \
	./srclib/careadlinkat.c \
	./srclib/dirname-lgpl.c \
	./srclib/basename-lgpl.c \
	./srclib/stripslash.c \
	./srclib/getprogname.c \
	./srclib/malloca.c \
	./srclib/progname.c \
	./srclib/safe-read.c \
	./srclib/unistd.c \
	./srclib/uniwidth/width.c \
	./srclib/xmalloc.c \
	./srclib/xstrdup.c \
	./srclib/xreadlink.c \
	./srclib/canonicalize-lgpl.c \
	./srclib/error.c \
	./srclib/gettimeofday.c \
	./srclib/lstat.c \
	./srclib/readlink.c \
	./srclib/stat.c \
	./srclib/strerror.c \
	./srclib/strerror-override.c

LOCAL_C_INCLUDES += \
	$(LOCAL_PATH)/ \
	$(LOCAL_PATH)/srclib \
	$(LOCAL_PATH)/lib \

LOCAL_CFLAGS:= \
	-DHAVE_CONFIG_H \
	-DEXEEXT=\"\" \
	-DDEPENDS_ON_LIBICONV=1 \
	-DDEPENDS_ON_LIBINTL=1 \
	-DLIBDIR \
	-DANDROID \
	-D_FORTIFY_SOURCE=2 \
	-fmessage-length=0 \
	-W \
	-Wall \
	-Wno-unused \
	-Winit-self \
	-Wpointer-arith \
	-O2 \
	-Werror=format-security \
	-Wstrict-aliasing=2 \
	-ffunction-sections \
	-finline-functions \
	-finline-limit=300 \
	-fno-short-enums \
	-fstrict-aliasing \
	-funswitch-loops \
	-funwind-tables \
	-fstack-protector \
	-no-canonical-prefixes \
	-fno-canonical-system-headers  
#	-DHAVE_CONFIG_H \
	-DEXEEXT=\"\" \
	-DDEPENDS_ON_LIBICONV=1 \
	-DDEPENDS_ON_LIBINTL=1 \
	-DANDROID \
	-fmessage-length=0 \
	-W \
	-Wall \
	-Wno-unused \
	-Winit-self \
	-Wpointer-arith \
	-O2 \
	-Werror=format-security \
	-D_FORTIFY_SOURCE=2 \
	-Wstrict-aliasing=2 \
	-ffunction-sections \
	-finline-functions \
	-finline-limit=300 \
	-fno-short-enums \
	-fstrict-aliasing \
	-funswitch-loops \
	-funwind-tables \
	-fstack-protector \
	-no-canonical-prefixes \
	-fno-canonical-system-headers

include $(BUILD_STATIC_LIBRARY)

#################################################
include $(CLEAR_VARS)

LOCAL_MODULE:=libiconv

LOCAL_SRC_FILES:= \
	./src/iconv_no_i18n.c
#	./src/iconv.c \

LOCAL_STATIC_LIBRARIES := \
	libiconv_charset \
	libiconv_lib \
	libiconv_srclib

LOCAL_C_INCLUDES += \
	$(LOCAL_PATH)/ \
	$(LOCAL_PATH)/src \
	$(LOCAL_PATH)/include \
	$(LOCAL_PATH)/srclib \
	$(LOCAL_PATH)/lib

LOCAL_CFLAGS:= \
	-DHAVE_CONFIG_H \
	-DEXEEXT=\"\" \
	-DDEPENDS_ON_LIBICONV=1 \
	-DDEPENDS_ON_LIBINTL=1 \
	-DLIBDIR \
	-DANDROID \
	-D_FORTIFY_SOURCE=2 \
	-fmessage-length=0 \
	-W \
	-Wall \
	-Wno-unused \
	-Winit-self \
	-Wpointer-arith \
	-O2 \
	-Werror=format-security \
	-Wstrict-aliasing=2 \
	-ffunction-sections \
	-finline-functions \
	-finline-limit=300 \
	-fno-short-enums \
	-fstrict-aliasing \
	-funswitch-loops \
	-funwind-tables \
	-fstack-protector \
	-no-canonical-prefixes \
	-fno-canonical-system-headers  
#	-DANDROID \
	-fmessage-length=0 \
	-W \
	-Wall \
	-Wno-unused \
	-Winit-self \
	-Wpointer-arith \
	-O2 \
	-Werror=format-security \
	-D_FORTIFY_SOURCE=2 \
	-Wstrict-aliasing=2 \
	-ffunction-sections \
	-finline-functions \
	-finline-limit=300 \
	-fno-short-enums \
	-fstrict-aliasing \
	-funswitch-loops \
	-funwind-tables \
	-fstack-protector \
	-no-canonical-prefixes \
	-fno-canonical-system-headers  \

include $(BUILD_STATIC_LIBRARY)

